Bug 1650943 (biosig4c++) - Review Request: biosig4c++ - A software library for processing of biomedical signals
Summary: Review Request: biosig4c++ - A software library for processing of biomedical ...
Keywords:
Status: CLOSED ERRATA
Alias: biosig4c++
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-17 20:47 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-12-16 04:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 02:24:33 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-17 20:47:42 UTC
Spec URL: https://ankursinha.fedorapeople.org/biosig4c++/biosig4c++.spec
SRPM URL: https://ankursinha.fedorapeople.org/biosig4c++/biosig4c++-1.9.3-1.git94296e0.fc29.src.rpm

Description: 
BioSig is a software library for processing of biomedical signals (EEG, ECG,
etc.) with Matlab, Octave, C/C++ and Python. A standalone signal viewer
supporting more than 30 different data formats is also provided.

Fedora Account System Username: ankursinha

Comment 1 Manas Mangaonkar (Pac23) 2018-11-18 08:03:20 UTC
Not a Official Review 
---------------------------------------------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/XMLParser/tinystr.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/XMLParser/tinyxml.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/biosig-dev.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/biosig-network.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/biosig.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/gdftime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/igor/IgorBin.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/physicalunits.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t210/abfheadr.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t210/axon_structs.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t210/codes.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t210/structures.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ANY.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AbsoluteRange.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AbsoluteTime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Address.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertCondition.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertControls.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertFlags.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/AlertType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ApplicationArea.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ArchiveProtection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Authorization.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/BITS-16.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/BITS-32.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/BITS-8.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/BIT_STRING.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/BodySiteCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ChannelDescriptionSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ChannelStatus.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ChoiceOfEnumObsValue.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ChoiceOfEnumTimeStamp.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ChoiceOfNuObsValue.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Comments.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ContentOrReference.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/CurLimAlStat.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DeviceCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DispResolution.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DistributionSampleArrayDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DistributionSampleArrayMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DsaRangeSpec.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/DynamicAttributeChangeSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumObject.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumObsValue.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumRecordMetric.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumRecordOO.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumVal.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumerationDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/EnumerationMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ExtNomenRef.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ExtNomenclatureCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/FEFFloat.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/FEFString.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/FilterType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Fraction.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/GeneralizedTime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Handle.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/HandleRef.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/HealthCareProfessionalSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/HealthCareProviderId.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/HealthCareProviderSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/HighResRelativeTime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-I16.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-I32.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-I64.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-I8.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-U16.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-U32.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-U64.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INT-U8.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/INTEGER.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/LimitSpecEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/LineFrequency.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ManufacturerID.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ManufacturerSpecificBinary.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ManufacturerSpecificEncoded.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ManufacturerSpecificSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MarkerEntryRelTim.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MeasurementStatus.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MedicalDeviceComponents.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MedicalDeviceSystemSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricCalEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricCalState.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricCalType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricCategory.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricMeasure.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricStatus.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MetricsCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MsmtPrinciple.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/MultimediaSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/NativeEnumerated.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/NativeInteger.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/NuObsValue.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/NumericDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/NumericMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/OBJECT_IDENTIFIER.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/OCTET_STRING.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/OID-Type.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ObservationTime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ParameterGroupCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PatMeasure.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PatientDemographicsSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PatientRace.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PatientSex.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PatientType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PersonName.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PersonNameGroup.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/Placeholder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PowerStatus.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/PrivateCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ProdSpecEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ProdSpecEntryType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/REAL.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/RealTimeSampleArrayDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/RealTimeSampleArrayMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/RelativeTime.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaCalData.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaCalDataType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaFilterEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaFlags.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaGridEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaSignalFrequency.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SaSpec.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SampleArrayDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SampleArrayMeasuredDataBlock.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SampleArrayMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ScaleRangeSpec.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SessionArchiveSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SessionNotesSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SessionPhaseSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SessionTestSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SimpleColour.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/StorageDataType.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SystemModel.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/SystemSpecEntry.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/TimeSampleArrayDescriptiveDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/TimeSampleArrayMeasuredDataSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/UTF8String.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/UnitCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/UnitsOfMeasurementCode.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/VirtualMedicalDeviceSection.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_SEQUENCE_OF.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_SET_OF.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_application.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_codecs.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_codecs_prim.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/asn_internal.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ber_decoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ber_tlv_length.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/ber_tlv_tag.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/constr_CHOICE.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/constr_SEQUENCE.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/constr_SET_OF.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/constr_TYPE.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/constraints.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/der_encoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/per_decoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/per_encoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/per_opentype.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/per_support.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/xer_decoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/xer_encoder.h
  biosig4c++-debugsource :
  /usr/src/debug/biosig4c++-1.9.3-1.git94296e0.fc30.x86_64/t240/xer_support.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in biosig4c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "GNU General Public License", "BSD 3-clause "New" or
     "Revised" License", "*No copyright* GPL (v3 or later)", "zlib/libpng
     license", "*No copyright* zlib/libpng license", "GPL (v3 or later)
     (with incorrect FSF address)", "GPL (v2 or later) (with incorrect FSF
     address)", "Expat License", "zlib/libpng license GPL (v3 or later)",
     "GNU Lesser General Public License (v2.1 or later)", "Public domain
     BSD (unspecified)", "GPL (v3 or later) GNU Lesser General Public
     License (v3 or later)". 432 files have unknown license. Detailed
     output of licensecheck in
     /root/review/neurofed/biosig4c++/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id(openldap,
     libwayland-server, poppler-utils, virglrenderer, libreport-gtk,
     iputils, qemu-ui-gtk, qt5-qtxmlpatterns, totem, numactl-libs, gd, gc,
     python3-cffi, libwmf-lite, python3-cups, libxshmfence, qemu-block-
     gluster, python3-unbound, gpgme, osinfo-db-tools, libsndfile, abrt,
     libblockdev-vdo, libvisio, libmediaart, libmcpp, libibverbs,
     libimagequant, giflib, libreoffice-graphicfilter, gdb-headless, gnome-
     maps, python2-cffi, trousers, dleyna-core, xorg-x11-server-Xwayland,
     qemu-audio-pa, libgovirt, bzip2-libs, libqmi-utils, ndctl-libs,
     libmbim-utils, psacct, dbus-libs, plymouth-core-libs, libdb-utils,
     alsa-plugins-pulseaudio, tracker-miners, xorg-x11-font-utils, grilo,
     gtk2, gtk3, OpenEXR-libs, lame-libs, libcom_err, cups-client,
     libseccomp, gnutls, gnome-bluetooth-libs, atkmm, perl-Digest-SHA,
     npth, ghostscript, p11-kit, libyaml, iptables-libs, libabw, device-
     mapper-persistent-data, openconnect, libvirt-daemon-driver-storage-
     iscsi, ykpers, webkit2gtk3-plugin-process-gtk2, libmodman, libvirt-
     daemon-driver-nwfilter, libselinux-utils, libkadm5, perl-Scalar-List-
     Utils, libipa_hbac, argyllcms, parted, gnome-disk-utility, gspell,
     libdvdread, perl-version, zstd, xcb-util-image, m17n-lib, bluez-libs,
     libblockdev-mdraid, rng-tools, glusterfs, exiv2-libs, lua-posix,
     tigervnc-server-minimal, libwebp, libxslt, libspectre, libreport-cli,
     libpkgconf, system-config-printer-udev, ostree-libs, python3-hawkey,
     libunistring, abrt-gui-libs, keyutils-libs, perl-Encode, libverto-
     libev, libproxy, libevdev, libgpg-error, sssd-common-pac, libgdata,
     libosinfo, dleyna-server, gnome-screenshot, libreoffice-math,
     libtimezonemap, perl-Data-Dumper, upower, isns-utils-libs,
     qgnomeplatform, libqmi, gutenprint-cups, gstreamer1-plugins-good,
     gawk, dmraid-events, pcsc-lite-libs, libzstd, libasyncns, plymouth-
     plugin-two-step, adwaita-gtk2-theme, libbasicobjects, brlapi, device-
     mapper-multipath, c-ares, libdazzle, xmlsec1-openssl, lua-lpeg,
     symlinks, libvirt-daemon-driver-network, gfbgraph,
     python3-cryptography, python3-crypto, rdma-core, libgudev, jansson,
     bind-utils, libcdr, b43-fwcutter, libgweather, sssd-krb5, e2fsprogs-
     libs, pulseaudio-libs, bolt, gnome-menus, efivar-libs, lcms2, alsa-
     utils, apr, libatasmart, mlocate, libsss_nss_idmap, brotli, qemu-
     guest-agent, annobin, ntfs-3g, file-libs, libgrss, grub2-tools,
     libxcb, trousers-lib, libyubikey, gnome-initial-setup, qemu-audio-
     alsa, avahi-glib, python3-pycurl, mokutil, httpd, libnumbertext,
     libblockdev-swap, tar, xcb-util-keysyms, libreport-plugin-systemd-
     journal, libnetfilter_conntrack, webrtc-audio-processing, bcache-
     tools, python3-gobject, libev, libijs, frei0r-plugins, SDL2, fprintd-
     pam, libkcapi, libusbx, hypervvssd, libgphoto2, rpm-plugin-systemd-
     inhibit, NetworkManager-openvpn-gnome, compat-openssl10, gstreamer1
     -plugins-ugly-free, babl, NetworkManager-ssh, libqxp, pinfo,
     libgexiv2, drpm, xcb-util, libnftnl, gnome-remote-desktop, qemu-block-
     nfs, createrepo_c-libs, evolution-data-server, abrt-plugin-bodhi,
     bubblewrap, libgpod, speech-dispatcher-espeak-ng, udisks2-iscsi,
     deltarpm, speexdsp, jbigkit-libs, python3-coverage, xorg-x11-drv-
     nouveau, gvfs-fuse, xcb-util-renderutil, libjpeg-turbo, perl-PerlIO-
     utf8_strict, libe-book, anaconda-widgets, dleyna-renderer, ethtool,
     sqlite, nautilus, sssd-ad, perl-interpreter, xcb-util-wm, pulseaudio-
     utils, libpinyin, nmap-ncat, atk, pcaudiolib, logrotate, unzip, dhcp-
     client, fprintd, dbxtool, pinentry-gtk, spice-server, rdist, apr-util-
     openssl, libgfortran, libeot, gcc, systemd-bootchart, libtasn1, scl-
     utils, dwz, alsa-lib, gstreamer1-plugins-good-gtk, libdnet,
     libblockdev-lvm, xorg-x11-drv-qxl, cyrus-sasl-gssapi, gcr, ntfsprogs,
     evince-nautilus, abrt-libs, abrt-addon-pstoreoops, ebtables, libvirt-
     daemon-driver-storage-disk, brasero-libs, avahi-libs, libproxy-mozjs,
     libgdither, dbusmenu-qt, NetworkManager, sgpio, ncurses-libs, libidn2,
     zchunk-libs, device-mapper-libs, pigz, PackageKit-command-not-found,
     python3-pyyaml, rpm-libs, suitesparse, libpsl, libwayland-egl, gnome-
     color-manager, gdbm-libs, fcoe-utils, fribidi, xorg-x11-xkb-utils,
     ibus-hangul, libgnomekbd, libblockdev-kbd, openssl-pkcs11,
     NetworkManager-openvpn, ibus-rawcode, libxkbfile, hplip-libs,
     pciutils, nautilus-sendto, jimtcl, libao, freerdp-libs, openssh-
     clients, xmlrpc-c-client, sane-backends-drivers-cameras, libwpg,
     libwpd, lksctp-tools, celt051, kbd, libvirt-daemon-driver-qemu, abrt-
     retrace-client, rpm-build, boost-date-time, kyotocabinet-libs,
     python3-pwquality, qemu-block-ssh, dbus-daemon, libwps, libreoffice-
     core, gssdp, gnome-bluetooth, util-linux, mythes, libpath_utils, u2f-
     hidraw-policy, satyr, libacl, libwnck3, libwayland-cursor, gnome-
     software, openvpn, libnl3, libsecret, ibus, pulseaudio-libs-glib2,
     policycoreutils, pixman, gnome-font-viewer, libpaper, libmusicbrainz5,
     pptp, ImageMagick-libs, libidn, usbredir, libXxf86misc, libwacom,
     libbluray, foomatic, grubby, harfbuzz, lzo, cifs-utils, libquadmath,
     pango, colord-gtk, qt, texlive-lib, libss, libbabeltrace,
     python3-libreport, perl-Params-Util, nspr, e2fsprogs, qemu-block-rbd,
     polkit-libs, python3-systemd, psmisc, net-snmp-libs, perl-threads,
     rpm-ostree-libs, perl-Params-Validate, xorg-x11-drv-libinput,
     libnl3-cli, pangomm, ibus-libs, cryptsetup, hostname, libvirt-daemon-
     driver-storage-sheepdog, libglvnd-gles, sg3_utils-libs, libblockdev-
     mpath, cairo, mesa-libxatracker, audit-libs, fwupd, sssd-ldap, nss-
     sysinit, libsane-hpaio, LibRaw, libgcc, libmng, ilmbase, cryptsetup-
     libs, gstreamer1, gettext-libs, p11-kit-trust, gom, nss, glibmm24,
     efibootmgr, libref_array, gmime30, libtomcrypt, poppler, mesa-dri-
     drivers, libstemmer, gvfs-afc, sshpass, glusterfs-api, djvulibre-libs,
     switcheroo-control, libcanberra-gtk3, cairo-gobject, raptor2, ibus-
     libzhuyin, fftw-libs-double, sheepdog, net-tools, ModemManager, abrt-
     gui, at-spi2-core, ibus-m17n, libkkc, sbc, qemu-img, git, qt-x11, qt5
     -qtbase-gui, libhangul, gutenprint, rtkit, usermode, orc, bash, glibc-
     common, epiphany-runtime, poppler-glib, qpdf-libs, linux-atm-libs,
     libedit, polkit, openssh, libuuid, openssl, python3-cairo,
     accountsservice, libfreehand, ibus-gtk3, ibus-gtk2, isl, perl-Net-
     SSLeay, ibus-kkc, hfsplus-tools, libsss_certmap, bind-export-libs,
     udisks2, xorg-x11-utils, ndctl, clucene-contribs-lib, gssproxy, paps-
     libs, libblockdev-btrfs, libatomic_ops, xz, libXcomposite,
     python3-libdnf, vconfig, mtools, gupnp-av, python3-libxml2, libnfs,
     cups, librepo, dmraid, gtk-update-icon-cache, vim-minimal, harfbuzz-
     icu, vino, libreoffice-gtk3, stoken-libs, libplist, gnome-contacts,
     gvfs-client, NetworkManager-libnm, xdg-user-dirs, libvirt-daemon-
     driver-interface, libiscsi, python2-libs, libquvi, liblangtag,
     glusterfs-libs, initscripts, groff-base, mesa-libgbm, libdatrie, rest,
     libreport-plugin-logger, gdk-pixbuf2, glade-libs, lrzsz, libglvnd-egl,
     libreport, libunwind, kexec-tools, libevent, redland, fipscheck,
     liblouis, libtalloc, mesa-libGL, abrt-addon-ccpp, libldb, grep,
     hypervkvpd, xorg-x11-drv-wacom, libsmbios, tcpdump, libarchive, tree,
     gnome-characters, xorg-x11-server-Xorg, libsigsegv, zfs-fuse, mdadm,
     pipewire, libepoxy, gnupg, libvirt-daemon-driver-nodedev, libipt,
     gnome-boxes, libcanberra, rpm-plugin-selinux, libnsl2, gvfs-archive,
     xfsprogs, authselect, man-db, libcroco, libxklavier, gedit, libinput,
     gnome-abrt, libgcrypt, PackageKit-gstreamer-plugin, libappstream-glib,
     libblockdev, librdmacm, lua-socket, dconf, xz-libs, dbus-glib, cyrus-
     sasl-plain, gnome-desktop3, timedatex, libsrtp, perl-Package-Stash-XS,
     python3-dbus, telepathy-glib, samba-client-libs, qemu-audio-sdl,
     pcre2-utf16, libdvdnav, plymouth-plugin-label, NetworkManager-pptp-
     gnome, colord-libs, which, boost-chrono, libcap, colord, libvirt-
     daemon-driver-storage-zfs, samba-client, perl-Variable-Magic, glib-
     networking, lua-expat, wireless-tools, python3-rpm, libdb, exiv2,
     passwd, libstaroffice, gpgmepp, kmod-libs, libvirt-daemon-driver-
     storage-gluster, gzip, libdv, gutenprint-libs, qemu-ui-curses,
     libreoffice-writer, desktop-file-utils, libXdamage, gupnp, cronie,
     xen-libs, libX11, gvfs-gphoto2, libvirt-gconfig, libexttextcat, nano,
     libmwaw, libusal, mod_http2, libreofficekit, libthai, createrepo_c,
     libusb, tracker, gnome-session, dleyna-connector-dbus, gtkmm30,
     geoclue2, libv4l, libini_config, elfutils, xorg-x11-drv-openchrome,
     numad, keyutils, liboauth, python2-cryptography, python3-libcomps,
     adcli, libpipeline, pkcs11-helper, accountsservice-libs, dhcp-libs,
     device-mapper, xmlsec1, iproute, libuser, libsmartcols, popt, gsound,
     sudo, fakeroot-libs, bind-libs, libsss_idmap, gobject-introspection,
     libpwquality, python3-cccolutils, lvm2-libs, libraw1394, libwsman1,
     gnome-terminal-nautilus, fontconfig, libwinpr, krb5-workstation, perl-
     libs, folks, os-prober, gnome-clocks, libblockdev-dm, iptables, mcpp,
     iproute-tc, enchant2, libsmbclient, gnome-user-share, libfprint,
     systemd-libs, cpio, libknet1, libfdt, libkcapi-hmaccalc, lz4-libs,
     evince-djvu, spice-glib, usb_modeswitch, tbb, libdaemon, woff2, guile,
     gnome-system-monitor, evolution, dotconf, nm-connection-editor, apr-
     util-bdb, perl-Sort-Key, evince, PackageKit-glib, patch, krb5-libs,
     mtr, sqlite-libs, gnome-online-accounts, libconfig, lttng-ust, teamd,
     libvorbis, enchant, gegl04, pkgconf, NetworkManager-openconnect-gnome,
     rpcbind, enca, libXxf86dga, json-c, python3-libselinux, xdg-user-dirs-
     gtk, libodfgen, libwayland-client, gtksourceview3, pinentry-gnome3,
     libpciaccess, sed, libXres, libvirt-daemon, clucene-core,
     libsss_autofs, perl-threads-shared, libchamplain, flatpak, libaio,
     kmod, NetworkManager-ssh-gnome, NetworkManager-pptp, gvfs-mtp, gnome-
     calculator, libetonyek, gvfs-goa, libgs, gdm, lua, libXtst, gnome-
     documents-libs, kpartx, libpng, libreoffice-calc, sane-backends-libs,
     NetworkManager-vpnc-gnome, python3-pillow, xorg-x11-xauth, sssd-
     client, libgxps, xorg-x11-drv-ati, gnome-terminal, gnome-online-
     miners, GeoIP, cyrus-sasl, systemd, webkit2gtk3-jsc, libpagemaker,
     hardlink, libsigc++20, libreport-plugin-bugzilla, libcollection,
     opencc, llvm-libs, sushi, libreport-plugin-reportuploader, libpeas-
     loader-python3, gnome-control-center, libsolv, pulseaudio-module-
     bluetooth, libxkbcommon, liba52, hplip, python3-abrt, cairomm, device-
     mapper-multipath-libs, python2-rpm, yajl, lockdev, gnome-calendar,
     nss-softokn, crda, cups-filters-libs, lsof, libical, at-spi2-atk,
     libattr, NetworkManager-vpnc, sssd-ipa, geocode-glib,
     qt5-qtdeclarative, hyphen, twolame-libs, adwaita-qt4, qemu-block-curl,
     gnome-shell, gnupg2-smime, libreoffice-x11, virtualbox-guest-
     additions, lpsolve, libXfont2, libblockdev-loop, libgepub, mozjs52,
     xorg-x11-server-utils, qemu-audio-oss, libssh2, syslinux, cronie-
     anacron, libmbim, open-vm-tools-desktop, libpskc, libxcrypt, gnupg2,
     libXrandr, gcc-gdb-plugin, PackageKit, nftables, libvirt-daemon-
     driver-storage-iscsi-direct, gnome-logs, rpm, iio-sensor-proxy,
     iptstate, bridge-utils, libreport-plugin-ureport, radvd, marisa,
     procps-ng, realmd, libmspub, libepubgen, ncurses, usbutils,
     libreoffice-pyuno, geoclue2-libs, python3-libs, graphite2,
     python3-kerberos, simple-scan, libXpm, libreport-plugin-kerneloops,
     cheese, gupnp-igd, libwbclient, glusterfs-cli, perl-PathTools, gnome-
     keyring, gmp, ipset-libs, bluez-obexd, libSM, sssd-krb5-common, zlib,
     libvirt-daemon-driver-storage-core, libpeas, lxpolkit, rpm-sign-libs,
     pam_krb5, libvirt-libs, grub2-tools-efi, avahi, libselinux,
     volume_key-libs, cdparanoia-libs, python3-pyparted, libudisks2,
     glusterfs-client-xlators, python2-lxml, baobab, libassuan,
     python3-gpg, libxml2, gstreamer1-plugins-bad-free, expat, cups-
     filters, iw, clutter-gtk, libreoffice-ure, libibumad, clutter,
     userspace-rcu, iscsi-initiator-utils-iscsiuio, zenity, libblockdev-
     utils, rhythmbox, chkconfig, wavpack, bluez-cups, mpage, glusterfs-
     fuse, libargon2, ibus-libpinyin, mesa-vulkan-drivers, libcurl,
     mousetweaks, make, python3-markupsafe, perl-Unicode-UTF8, iscsi-
     initiator-utils, coreutils, vte291, libcap-ng, libnice, dosfstools,
     librados2, libvirt-daemon-driver-storage-mpath, ostree, gvfs,
     dbus-x11, pam, libgomp, liborcus, NetworkManager-bluetooth, libsoup,
     libreoffice-gtk2, pinentry, libvirt-daemon-driver-storage-scsi, sane-
     backends-drivers-scanners, samba-common-libs, fuse, augeas-libs,
     libsysfs, perl-Filter, libmpcdec, xorg-x11-drv-vesa, passwdqc, audit,
     NetworkManager-wwan, libXft, file-roller-nautilus, cups-libs,
     nautilus-extensions, webkit2gtk3, NetworkManager-adsl, ipcalc, abrt-
     dbus, boost-locale, gdk-pixbuf2-modules, binutils, libsepol, totem-pl-
     parser, SDL, qemu-common, NetworkManager-ppp, gsm, boost-filesystem,
     libtevent, libblockdev-nvdimm, telnet, less, isomd5sum, neon,
     libfdisk, libvpx, xdg-desktop-portal-gtk, tcl, rpm-build-libs,
     libnghttp2, libsamplerate, firefox, libdmx, libglvnd, libmount, boost-
     iostreams, openssl-libs, corosynclib, totem-nautilus, pcre2, pakchois,
     boost-system, libpcap, exempi, libvirt-daemon-driver-storage-logical,
     libxkbcommon-x11, qemu-block-iscsi, snappy, python3, gavl, libtdb,
     libusbmuxd, perl-Unicode-Normalize, sssd-nfs-idmap, libXdmcp, sssd-
     kcm, ipset, clutter-gst3, libimobiledevice, lzop, perl-Socket,
     mozjs60, apr-util, elfutils-libelf, libdrm, genisoimage, tmux, polkit-
     pkla-compat, libvisual, mod_dnssd, unique, lz4, jbig2dec-libs,
     python2, libmtp, cyrus-sasl-lib, librevenge, libtirpc, qt5-qtbase,
     keybinder3, adwaita-qt5, java-openjdk-headless, libbytesize, xmlrpc-c,
     fuse-libs, python3-gobject-base, perl-TermReadKey, xdg-desktop-portal,
     libzapojit, cups-ipptool, dnsmasq, espeak-ng, cogl, rygel, daxctl-
     libs, libXfixes, dbus-tools, java-11-openjdk-headless, shared-mime-
     info, libglvnd-glx, gupnp-dlna, gvfs-smb, gtkspell3, libblkid, rasqal,
     gjs, libcue, libcdio, libXrender, json-glib, libmspack, libsss_sudo,
     libtar, vpnc, libfontenc, libmodulemd, boost-thread, libicu, libgsf,
     rsync, GConf2, sssd-common, grilo-plugins, NetworkManager-openconnect,
     libgtop2, glibc, gnome-settings-daemon, btrfs-progs, shadow-utils,
     perl-IO, lua-libs, gnome-photos, abrt-addon-coredump-helper, cups-pk-
     helper, libXau, flatpak-libs, python3-brlapi, authselect-libs, netcf-
     libs, mactel-boot, bc, soundtouch, xorg-x11-drv-evdev, sni-qt, gtk-
     vnc2, quota, pulseaudio-module-x11, dmidecode, mesa-libglapi, usbmuxd,
     libpeas-gtk, libXinerama, wget, glx-utils, libgcab1, anaconda-core,
     libteam, libtommath, syslinux-extlinux, libcmis, plymouth-graphics-
     libs, libssh, zip, elfutils-libs, libzhuyin, perl-MIME-Base64, spice-
     gtk3, libreport-web, ImageMagick, gvnc, acl, libexif, libvirt-daemon-
     driver-secret, spice-vdagent, xorg-x11-drv-wacom-serial-support,
     xorg-x11-drv-fbdev, libgusb, glib2, libvncserver, libqb, libavc1394,
     xmlsec1-nss, lldpad, mutter, libvirt-glib, libphodav, qemu-
     system-x86-core, libtiff, wpa_supplicant, startup-notification,
     libstdc++, libffi, libmnl, ppp, libgee, libzmf, gdisk, libnotify,
     libXcursor, nfs-utils, dos2unix, libXxf86vm, httpd-tools, pcre,
     hypervfcopyd, libchamplain-gtk, ima-evm-utils, mpg123-libs, sane-
     backends, systemd-pam, gstreamer1-plugins-base, libverto, speech-
     dispatcher, unbound-libs, yelp-libs, git-core, bind-libs-lite, perl-
     Storable, perl-Digest-MD5, pciutils-libs, grub2-tools-extra,
     traceroute, PackageKit-gtk3-module, libiptcdata, libmpc, openssh-
     server, libXi, libblockdev-crypto, file-roller, openjpeg2, libshout,
     flac-libs, taglib, libXt, libreoffice-pdfimport, libXv, eog, libXext,
     rp-pppoe, mesa-libEGL, libtheora, info, ModemManager-glib,
     libnfnetlink, dracut, libX11-xcb, attr, libiec61883, mcelog, device-
     mapper-event-libs, libblockdev-part, libvirt-daemon-driver-storage-
     rbd, libnfsidmap, lvm2, nss-util, libcanberra-gtk2, bluez, device-
     mapper-event, hunspell, libdnf, libsemanage, highlight, cracklib,
     libieee1284, libndp, mtdev, systemd-container, libcomps, systemd-udev,
     evince-libs, python3-lxml, xorg-x11-drv-intel, gdbm, jwhois, qemu-
     block-dmg, file, libXvMC, curl, plymouth, findutils, cheese-libs,
     abrt-addon-kerneloops, nettle, bzip2, gnome-autoar, freetype,
     libblockdev-fs, libdmapsharing, libXmu, samba-libs, libnma, gettext,
     NetworkManager-wifi, fakeroot, capstone, soxr, nss-softokn-freebl,
     fipscheck-lib, libreoffice-impress, open-vm-tools, evolution-ews,
     jasper-libs, librbd1, libvirt-gobject, time, python2-pycurl, xorg-x11
     -drv-vmware, libutempter, qrencode-libs, xorg-x11-xinit, cpp, qemu-ui-
     sdl, nss-mdns, libogg, libmetalink, libtool-ltdl, NetworkManager-team,
     readline, lmdb-libs, libcacard, paps, libICE, abrt-tui, lzo-minilzo,
     openblas-serial, gvfs-afp, yelp, librsvg2, diffutils, pulseaudio,
     vulkan-loader, opus, libcdio-paranoia, chrony, abrt-addon-xorg, grub2
     -tools-minimal, abrt-java-connector, ibus-qt, libdhash, at, passwdqc-
     lib, speex, libksba, gnome-keyring-pam, sssd-proxy, mpfr), /usr/lib
     /.build-id/e6(evolution, gnome-color-manager, rpm-libs, open-vm-tools-
     desktop, initscripts, file-roller, glibc, cyrus-sasl, pulseaudio,
     python3-libs, psmisc, libcdio, libmodman, frei0r-plugins, gupnp-dlna,
     libnl3-cli, hplip), /usr/lib/.build-id/98(libglvnd-gles, systemd,
     libbabeltrace, ImageMagick, hplip-libs, httpd, gettext, libvirt-
     daemon, openssl, gawk, quota, evolution-data-server, ppp, PackageKit-
     gstreamer-plugin, frei0r-plugins, gegl04, java-openjdk-headless,
     libnl3-cli, pam, btrfs-progs), /usr/lib/.build-id/a5(iptables,
     ebtables, libgphoto2, evolution, firefox, glibc, nmap-ncat, cups-
     client, gstreamer1, python3-systemd, frei0r-plugins, perl-interpreter,
     cups-filters, libxslt, glib2, pam), /usr/lib/.build-id/a4(iptables,
     librsvg2, ModemManager, webrtc-audio-processing, glibc, mutter,
     libfdisk, libdnf, libvirt-daemon-driver-network, gstreamer1-plugins-
     base, mesa-libglapi, freerdp-libs, libreoffice-core, libxcb,
     ntfsprogs, libnl3-cli, libical, python2-libs)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     biosig4c++-debuginfo , biosig4c++-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: biosig4c++-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-devel-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-debuginfo-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-debugsource-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-1.9.3-1.git94296e0.fc30.src.rpm
biosig4c++.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: shared-lib-calls-exit /usr/lib64/libbiosig.so.1.9.3 exit@GLIBC_2.2.5
biosig4c++.x86_64: W: no-manual-page-for-binary save2aecg
biosig4c++.x86_64: W: no-manual-page-for-binary save2scp
biosig4c++-devel.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: no-documentation
biosig4c++.src: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++.src: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++.src: W: invalid-url Source0: biosig4c++-1.9.3-94296e0ee92c39636235d390c313ad1dfe644a88.tar.gz
5 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: biosig4c++-debuginfo-1.9.3-1.git94296e0.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
biosig4c++-devel.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: invalid-url URL: https://sourceforge.net/projects/biosig/ <urlopen error [Errno -2] Name or service not known>
biosig4c++-devel.x86_64: W: no-documentation
biosig4c++-debuginfo.x86_64: W: invalid-url URL: https://sourceforge.net/projects/biosig/ <urlopen error [Errno -2] Name or service not known>
biosig4c++-debugsource.x86_64: W: invalid-url URL: https://sourceforge.net/projects/biosig/ <urlopen error [Errno -2] Name or service not known>
biosig4c++.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: invalid-url URL: https://sourceforge.net/projects/biosig/ <urlopen error [Errno -2] Name or service not known>
biosig4c++.x86_64: W: shared-lib-calls-exit /usr/lib64/libbiosig.so.1.9.3 exit@GLIBC_2.2.5
biosig4c++.x86_64: W: no-manual-page-for-binary save2aecg
biosig4c++.x86_64: W: no-manual-page-for-binary save2scp
4 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
biosig4c++-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    biosig4c++(x86-64)
    libbiosig.so.1.9.3()(64bit)

biosig4c++-debuginfo (rpmlib, GLIBC filtered):

biosig4c++-debugsource (rpmlib, GLIBC filtered):

biosig4c++ (rpmlib, GLIBC filtered):
    /usr/bin/sh
    libc.so.6()(64bit)
    libcholmod.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
biosig4c++-devel:
    biosig4c++-devel
    biosig4c++-devel(x86-64)
    pkgconfig(libbiosig)

biosig4c++-debuginfo:
    biosig4c++-debuginfo
    biosig4c++-debuginfo(x86-64)
    debuginfo(build-id)

biosig4c++-debugsource:
    biosig4c++-debugsource
    biosig4c++-debugsource(x86-64)

biosig4c++:
    biosig4c++
    biosig4c++(x86-64)
    libbiosig.so.1.9.3()(64bit)


Installs and builds fine,although i did get no upstream for source thing while building it in mock

Comment 2 Ankur Sinha (FranciscoD) 2018-11-18 10:05:21 UTC
(In reply to Manas Mangaonkar (Pac23) from comment #1)
> Not a Official Review 
> ---------------------------------------------------------------

Thanks for the review, Manas.

> 
> 
> Issues:
> =======
> - Header files in -devel subpackage, if present.
>   Note: biosig4c++-debugsource :


These are in the debug package, not in the devel package. 

>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

It is required. It is a C++ library and the mock build fails if g++ is not available.

/bin/sh: g++: command not found

from https://kojipkgs.fedoraproject.org//work/tasks/3700/30963700/build.log

https://koji.fedoraproject.org/koji/taskinfo?taskID=30963700


> - ldconfig called in %post and %postun if required.
>   Note: /sbin/ldconfig not called in biosig4c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

It is:
%ldconfig_scriptlets

but, these are no longer required on F28+:

"On Fedora 28 and newer, no scriptlets are required when shared libraries are installed. However, the following scriptlets MAY be used, as they will simply evaluate to nothing on newer Fedora releases.

On Fedora 27 and older, ldconfig MUST be called properly in order to regenerate the dynamic linker's cache. If the package or subpackage has no existing %post or %postun scriptlets, simply include the %ldconfig_scriptlets macro on its own line before the %files list."

https://fedoraproject.org/wiki/Packaging:Scriptlets#Shared_Libraries 

I'm leaving it in, in case I build for F27.


> 
> Installs and builds fine,although i did get no upstream for source thing
> while building it in mock

This is in the spec. If it isn't clear enough, please let me know and I can improve it.

# Fetch the snapshot---this contains code for other biosig tools also which we don't need
# git clone https://git.code.sf.net/p/biosig/code biosig-all
# cd biosig-all
# Remove symlink and replace with actual files
# rm biosig4c++/extern -f
# cp -r biosig4matlab/doc biosig4c++/extern
# tar -cvzf biosig4c++-1.9.3-94296e0ee92c39636235d390c313ad1dfe644a88.tar.gz biosig4c++/

Source0:    %{name}-%{version}-%{commit}.tar.gz



Cheers,
Ankur

Comment 3 Antonio 2018-11-19 17:07:57 UTC
@Manas

Is your review completed?

Comment 4 Antonio 2018-12-04 17:50:41 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- You can use %make_build

- There are various "BUILDSTDERR: /bin/sh: python: command not found" errors; probably, compiler scripts are searching for python2 modules by default.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "GNU General Public License", "BSD 3-clause "New" or
     "Revised" License", "*No copyright* GPL (v3 or later)", "zlib/libpng
     license", "*No copyright* zlib/libpng license", "GPL (v3 or later)
     (with incorrect FSF address)", "GPL (v2 or later) (with incorrect FSF
     address)", "Expat License", "zlib/libpng license GPL (v3 or later)",
     "GNU Lesser General Public License (v2.1 or later)", "Public domain
     BSD (unspecified)", "GPL (v3 or later) GNU Lesser General Public
     License (v3 or later)". 432 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1650943-biosig4c++/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     biosig4c++-debuginfo , biosig4c++-debugsource
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: biosig4c++-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-devel-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-debuginfo-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-debugsource-1.9.3-1.git94296e0.fc30.x86_64.rpm
          biosig4c++-1.9.3-1.git94296e0.fc30.src.rpm
biosig4c++.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++.x86_64: W: shared-lib-calls-exit /usr/lib64/libbiosig.so.1.9.3 exit@GLIBC_2.2.5
biosig4c++.x86_64: W: no-manual-page-for-binary save2aecg
biosig4c++.x86_64: W: no-manual-page-for-binary save2scp
biosig4c++-devel.x86_64: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++-devel.x86_64: W: no-documentation
biosig4c++.src: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
biosig4c++.src: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
biosig4c++.src: W: invalid-url Source0: biosig4c++-1.9.3-94296e0ee92c39636235d390c313ad1dfe644a88.tar.gz
5 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: biosig4c++-debuginfo-1.9.3-1.git94296e0.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
biosig4c++-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    biosig4c++(x86-64)
    libbiosig.so.1.9.3()(64bit)

biosig4c++-debuginfo (rpmlib, GLIBC filtered):

biosig4c++-debugsource (rpmlib, GLIBC filtered):

biosig4c++ (rpmlib, GLIBC filtered):
    /usr/bin/sh
    libc.so.6()(64bit)
    libcholmod.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
biosig4c++-devel:
    biosig4c++-devel
    biosig4c++-devel(x86-64)
    pkgconfig(libbiosig)

biosig4c++-debuginfo:
    biosig4c++-debuginfo
    biosig4c++-debuginfo(x86-64)
    debuginfo(build-id)

biosig4c++-debugsource:
    biosig4c++-debugsource
    biosig4c++-debugsource(x86-64)

biosig4c++:
    biosig4c++
    biosig4c++(x86-64)
    libbiosig.so.1.9.3()(64bit)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1650943
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Ankur Sinha (FranciscoD) 2018-12-05 12:11:52 UTC
(In reply to Antonio Trande from comment #4)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> 
> - You can use %make_build
> 
> - There are various "BUILDSTDERR: /bin/sh: python: command not found"
> errors; probably, compiler scripts are searching for python2 modules by
> default.
> 

Thanks for the review, Antonio. I'll look into these before the import.

SCM Requested here: https://pagure.io/releng/fedora-scm-requests/issue/9135

Comment 6 Gwyn Ciesla 2018-12-05 14:10:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/biosig4c++

Comment 7 Fedora Update System 2018-12-06 15:45:59 UTC
biosig4c++-1.9.3-1.git94296e0.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b90c548eb

Comment 8 Fedora Update System 2018-12-06 15:46:04 UTC
biosig4c++-1.9.3-1.git94296e0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5b15f1d369

Comment 9 Fedora Update System 2018-12-07 03:16:37 UTC
biosig4c++-1.9.3-1.git94296e0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b90c548eb

Comment 10 Fedora Update System 2018-12-07 03:23:09 UTC
biosig4c++-1.9.3-1.git94296e0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5b15f1d369

Comment 11 Fedora Update System 2018-12-16 02:24:33 UTC
biosig4c++-1.9.3-1.git94296e0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-16 04:22:09 UTC
biosig4c++-1.9.3-1.git94296e0.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.